=== modified file 'Makefile'
--- Makefile	2010-06-04 17:46:04 +0000
+++ Makefile	2010-06-11 15:19:31 +0000
@@ -1,5 +1,5 @@
 PKGNAME = gexiv2
-VERSION = 0.0.90
+VERSION = 0.0.91
 
 LIBRARY = lib$(PKGNAME)
 LIBRARY_BIN = $(LIBRARY).la
@@ -11,6 +11,7 @@
 PREFIX=/usr/local
 BUILD_RELEASE=1
 BUILD_DIR=gexiv2
+LIB=lib
 
 -include configure.mk
 
@@ -116,12 +117,12 @@
 	@
 
 install:
-	@mkdir -p $(DESTDIR)$(PREFIX)/lib
-	libtool --mode=install $(INSTALL_PROGRAM) $(LIBRARY).la $(DESTDIR)$(PREFIX)/lib
+	@mkdir -p $(DESTDIR)$(PREFIX)/$(LIB)
+	libtool --mode=install $(INSTALL_PROGRAM) $(LIBRARY).la $(DESTDIR)$(PREFIX)/$(LIB)
 	@mkdir -p $(DESTDIR)$(PREFIX)/include/$(PKGNAME)
 	$(INSTALL_DATA) $(EXPANDED_INSTALLED_HEADER_FILES) $(DESTDIR)$(PREFIX)/include/$(PKGNAME)
-	@mkdir -p $(DESTDIR)$(PREFIX)/lib/pkgconfig
-	$(INSTALL_DATA) $(PC_FILE) $(DESTDIR)$(PREFIX)/lib/pkgconfig
+	@mkdir -p $(DESTDIR)$(PREFIX)/$(LIB)/pkgconfig
+	$(INSTALL_DATA) $(PC_FILE) $(DESTDIR)$(PREFIX)/$(LIB)/pkgconfig
 	@mkdir -p $(DESTDIR)$(PREFIX)/share/vala/vapi
 	$(INSTALL_DATA) $(VAPI_FILE) $(DESTDIR)$(PREFIX)/share/vala/vapi
 	-ldconfig
@@ -131,9 +132,9 @@
 	$(INSTALL_DATA) $(VAPI_FILE) $(DESTDIR)$(PREFIX)/share/vala/vapi
 
 uninstall:
-	libtool --mode=uninstall rm -f $(DESTDIR)$(PREFIX)/lib/$(LIBRARY).la
+	libtool --mode=uninstall rm -f $(DESTDIR)$(PREFIX)/$(LIB)/$(LIBRARY).la
 	rm -rf $(DESTDIR)$(PREFIX)/include/$(PKGNAME)
-	rm -f $(DESTDIR)$(PREFIX)/lib/pkgconfig/$(PKGNAME).pc
+	rm -f $(DESTDIR)$(PREFIX)/$(LIB)/pkgconfig/$(PKGNAME).pc
 	rm -f $(DESTDIR)$(PREFIX)/share/vala/vapi/$(PKGNAME).vapi
 	-ldconfig
 
@@ -151,5 +152,5 @@
 	libtool --mode=compile $(CXX) -c $(EXT_PKGS_CFLAGS) $(CFLAGS) -I. -o $@ $<
 
 $(LIBRARY_BIN): $(EXPANDED_OBJ_FILES)
-	libtool --mode=link $(CXX) -rpath $(PREFIX)/lib $(EXPANDED_LO_FILES) $(EXT_PKGS_LDFLAGS) $(CFLAGS) $(LDFLAGS) -o $(LIBRARY_BIN)
+	libtool --mode=link $(CXX) -rpath $(PREFIX)/$(LIB) $(EXPANDED_LO_FILES) $(EXT_PKGS_LDFLAGS) $(CFLAGS) $(LDFLAGS) -o $(LIBRARY_BIN)
 

=== modified file 'gexiv2/gexiv2-metadata.cpp'
--- gexiv2/gexiv2-metadata.cpp	2010-05-26 10:40:50 +0000
+++ gexiv2/gexiv2-metadata.cpp	2010-06-11 15:19:31 +0000
@@ -84,8 +84,7 @@
 		g_free (self->priv->preview_properties);
 	}
 	
-	if (self->priv->image.get() != NULL)
-		self->priv->image.release();
+	self->priv->image.reset();
 	
 	G_OBJECT_CLASS (gexiv2_metadata_parent_class)->finalize (object);
 }

=== modified file 'gexiv2/gexiv2-stream-io.cpp'
--- gexiv2/gexiv2-stream-io.cpp	2010-05-26 10:40:50 +0000
+++ gexiv2/gexiv2-stream-io.cpp	2010-06-11 15:19:31 +0000
@@ -255,3 +255,12 @@
     return "managed stream";
 }
 
+#ifdef EXV_UNICODE_PATH
+std::wstring StreamIo::wpath() const 
+{
+    std::string p = path();
+    std::wstring w(p.length(), L' ');
+    std::copy(p.begin(), p.end(), w.begin());
+    return w;
+}
+#endif

=== modified file 'gexiv2/gexiv2-stream-io.h'
--- gexiv2/gexiv2-stream-io.h	2010-05-26 10:40:50 +0000
+++ gexiv2/gexiv2-stream-io.h	2010-06-11 15:19:31 +0000
@@ -47,6 +47,9 @@
 	virtual int error () const;
 	virtual bool eof () const;
 	virtual std::string path () const;
+#ifdef EXV_UNICODE_PATH
+	virtual std::wstring wpath () const;
+#endif
 	virtual BasicIo::AutoPtr temporary () const;
 
 private:

